精选物品
游戏
软件 试玩 推荐 新闻

需要在 Steam 拥有基础游戏 Impire 才能运行。

发行日期: 2013年3月19日
该产品的热门用户自定义标签:

DLC

需要在 Steam 拥有基础游戏 Impire 才能运行。

购买 Impire: Creatures of the Night

关于游戏

Be warned, Succubus and Warlock! A new deliciously deadly duo enters the dungeon – one whose reflection you cannot see along with one you shouldn't ogle except in a mirror. The Vampire may seem like an easy target, but a word of advice: don’t snuggle with her undead poodle! And the Medusa has returned to Ardania with a vengeance. Rub her scales just right and she will silently slither up on your enemies and fill them with quarrels!

系统需求

    Minimum:

    • OS:Windows XP/Vista/7
    • Processor:Intel® Core™2 Duo Processor E8400 3.0GHz or AMD Athlon 64 X2 6000+
    • Memory:3 GB RAM
    • Graphics:NVIDIA® GeForce 8800 or ATI Radeon® HD3000 video card with 512MB of dedicated memory
    • DirectX®:9.0
    • Hard Drive:3 GB HD space
    • Sound:DirectX Compatible Soundcard
    • Additional:3-button mouse, keyboard, speakers, Internet connection for multiplayer
目前暂时没有关于此产品的公开评测
您可以为此产品撰写您自己的评测,与社区分享您的使用体验。在本页面购买按钮上方的区域撰写您的评测。